Bug 111738 - [GTK] Set up the libPlatformGtk.la library
Summary: [GTK] Set up the libPlatformGtk.la library
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks: 110330
  Show dependency treegraph
 
Reported: 2013-03-07 09:07 PST by Zan Dobersek
Modified: 2013-03-18 02:47 PDT (History)
4 users (show)

See Also:


Attachments
Patch (58.06 KB, patch)
2013-03-07 09:33 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (57.74 KB, patch)
2013-03-07 09:52 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch for landing (57.37 KB, patch)
2013-03-12 08:54 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-03-07 09:07:23 PST
[GTK] Set up the libPlatformGtk.la library
Comment 1 Zan Dobersek 2013-03-07 09:33:20 PST
Created attachment 192019 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-07 09:41:48 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 WebKit Review Bot 2013-03-07 09:42:04 PST
Attachment 192019 [details] did not pass style-queue:

Source/Platform/gtk/GtkVersioning.c:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Source/Platform/gtk/GtkVersioning.c:33:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:43:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:44:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:45:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:47:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:48:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:124:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:125:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:126:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:139:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:152:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:184:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:185:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:226:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:239:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:240:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:241:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:252:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:253:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:254:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:255:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:256:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:260:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:261:  Weird number of spaces at line-start.  Are yFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/Platform/ChangeLog', u'Source/Platform/GNUmakefile.am', u'Source/Platform/GNUmakefile.list.am', u'Source/Platform/gtk/GtkVersioning.c', u'Source/Platform/gtk/GtkVersioning.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/bindings/gobject/GNUmakefile.am', u'Source/WebCore/platform/gtk/GtkVersioning.c', u'Source/WebCore/platform/gtk/GtkVersioning.h', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/GNUmakefile.am', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/GNUmakefile.am', u'Source/WebKit2/Scripts/generate-forwarding-headers.pl', u'Source/WebKit2/Shared/gtk/ArgumentCodersGtk.cpp', u'Source/WebKit2/Shared/gtk/WebEventFactory.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp', u'Tools/ChangeLog', u'Tools/GNUmakefile.am', u'Tools/TestWebKitAPI/GNUmakefile.am']" exit_code: 1
ou using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:262:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:263:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:324:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:356:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:37:  The parameter name "surface" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:39:  The parameter name "drawable" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:52:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:52:  The parameter name "content" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:87:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:108:  The parameter name "adjustment" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:109:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:114:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:118:  The parameter name "invocationHint" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp:45:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 45 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Zan Dobersek 2013-03-07 09:52:37 PST
Created attachment 192025 [details]
Patch
Comment 5 WebKit Review Bot 2013-03-07 09:55:33 PST
Attachment 192025 [details] did not pass style-queue:

Source/Platform/gtk/GtkVersioning.c:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Source/Platform/gtk/GtkVersioning.c:33:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:43:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:44:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:45:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:47:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:48:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:124:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:125:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:126:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:139:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:152:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:184:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:185:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:226:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:239:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:240:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:241:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:252:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:253:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:254:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:255:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:256:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:260:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:261:  Weird number of spaces at line-start.  Are yFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/Platform/ChangeLog', u'Source/Platform/GNUmakefile.am', u'Source/Platform/GNUmakefile.list.am', u'Source/Platform/gtk/GtkVersioning.c', u'Source/Platform/gtk/GtkVersioning.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/bindings/gobject/GNUmakefile.am', u'Source/WebCore/platform/gtk/GtkVersioning.c', u'Source/WebCore/platform/gtk/GtkVersioning.h', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/GNUmakefile.am', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/GNUmakefile.am', u'Source/WebKit2/Scripts/generate-forwarding-headers.pl', u'Source/WebKit2/Shared/gtk/ArgumentCodersGtk.cpp', u'Source/WebKit2/Shared/gtk/WebEventFactory.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp', u'Tools/ChangeLog', u'Tools/GNUmakefile.am', u'Tools/TestWebKitAPI/GNUmakefile.am']" exit_code: 1
ou using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:262:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:263:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:324:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.c:356:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:37:  The parameter name "surface" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:39:  The parameter name "drawable" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:52:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:52:  The parameter name "content" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:87:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:108:  The parameter name "adjustment" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:109:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkVersioning.h:114:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/GtkVersioning.h:118:  The parameter name "invocationHint" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp:45:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 45 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Martin Robinson 2013-03-08 09:45:23 PST
Comment on attachment 192025 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=192025&action=review

> Source/WebKit2/GNUmakefile.am:526
> +	$(HILDON_CPPFLAGS) \
> +	$(CAIRO_CFLAGS) \
> +	$(CLUTTER_CFLAGS) \
> +	$(COVERAGE_CFLAGS) \
> +	$(ENCHANT_CFLAGS) \
> +	$(FREETYPE_CFLAGS) \
> +	$(GAIL_CFLAGS) \
> +	$(GAMEPAD_CFLAGS) \
> +	$(GEOCLUE_CFLAGS) \
> +	$(GLIB_CFLAGS) \
> +	$(GSTREAMER_CFLAGS) \
> +	$(GTK_CFLAGS) \
> +	$(HILDON_CFLAGS) \
> +	$(LIBSECRET_CFLAGS) \
> +	$(LIBSOUP_CFLAGS) \
> +	$(LIBXML_CFLAGS) \
> +	$(LIBXSLT_CFLAGS) \
> +	$(SQLITE3_CFLAGS) \
> +	$(UNICODE_CFLAGS) \

I think you should limit this just to the cflags you actually need. I'd move this to the platform gnumakefile.
Comment 7 Zan Dobersek 2013-03-12 08:54:31 PDT
Created attachment 192746 [details]
Patch for landing
Comment 8 Zan Dobersek 2013-03-12 08:56:37 PDT
Comment on attachment 192746 [details]
Patch for landing

Clearing flags on attachment: 192746

Committed r145552: <http://trac.webkit.org/changeset/145552>
Comment 9 Zan Dobersek 2013-03-12 08:56:43 PDT
All reviewed patches have been landed.  Closing bug.